import os

import aiohttp

from aiodynamo.client import Client
from aiodynamo.client import Table
from aiodynamo.credentials import Credentials
from aiodynamo.http.httpx import HTTPX
from aiodynamo.http.aiohttp import AIOHTTP
from httpx import AsyncClient


class Database:
    def __init__(self, session: aiohttp.ClientSession):
        self.client = Client(AIOHTTP(session), Credentials.auto(), os.getenv('AWS_REGION'))

